Bug 184226 - Old archive files not cleaned up
Old archive files not cleaned up
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-07 10:10 EST by Olle Liljenzin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lvm.conf (10.15 KB, text/plain)
2006-03-07 10:36 EST, Olle Liljenzin
no flags Details

  None (edit)
Description Olle Liljenzin 2006-03-07 10:10:55 EST
Description of problem:
Old archive files are not removed

Version-Release number of selected component (if applicable):
lvm2-2.01.14-2.0.RHEL4

How reproducible:
Always

Steps to Reproduce:
1. lvcreate -L 10M -n test /dev/vg0
2. lvremove /dev/vg0/test
3. repeat a number of times
  
Actual results:
The directory /etc/lvm/archive gets filled up with archive files

Expected results:
Old archive files should be removed, with respect to the parameters 'retain_min'
and 'retain_days' in /etc/lvm.conf

Additional info:
The clean up works in FC4. In both cases with lvm.conf unmodified.
Comment 1 Alasdair Kergon 2006-03-07 10:14:02 EST
Please provide specific details:
   long listing of the backup and archive directories before and after
   lvm.conf
Comment 2 Alasdair Kergon 2006-03-07 10:17:06 EST
and output of: vgcfgrestore -ll
Comment 3 Alasdair Kergon 2006-03-07 10:29:46 EST
Ah - I've reproduced something similar.
Comment 4 Olle Liljenzin 2006-03-07 10:36:31 EST
Created attachment 125757 [details]
lvm.conf
Comment 5 Olle Liljenzin 2006-03-07 10:41:59 EST
I guess you don't want my listings now when you reproduced it. :-)
Comment 6 Alasdair Kergon 2006-03-07 10:46:21 EST
A fix applied upstream for 2.02.03
Comment 12 Red Hat Bugzilla 2006-08-10 17:46:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html

Note You need to log in before you can comment on or make changes to this bug.